Skip to main content
GET
/
v1
/
metric
/
collection-jobs
JavaScript
import Roark from '@roarkanalytics/sdk';

const client = new Roark({
  bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});

const metricCollectionJobs = await client.metricCollectionJob.list();

console.log(metricCollectionJobs.data);
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "PENDING",
      "triggeredBy": "USER_MANUAL",
      "totalItems": 123,
      "completedItems": 123,
      "failedItems": 123,
      "startedAt": "<string>",
      "completedAt": "<string>",
      "errorMessage": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>"
    }
  ],
  "pagination": {
    "total": 123,
    "hasMore": true,
    "nextCursor": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:20

Maximum number of jobs to return (default: 20, max: 50)

Required range: 1 <= x <= 50
Example:

20

after
string

Cursor for pagination - use the nextCursor value from a previous response

status
enum<string>

Filter by job status

Available options:
PENDING,
PROCESSING,
COMPLETED,
FAILED,
CANCELED

Response

Paginated list of metric collection jobs

Paginated list of metric collection jobs

data
object[]
required
pagination
object
required